Debian Bug report logs - #160902
msttcorefonts: Font info files and fonts in different dirs breaks OpenOffice.org and Gnome

version graph

Package: msttcorefonts; Maintainer for msttcorefonts is Thijs Kinkhorst <thijs@debian.org>;

Reported by: Warren Dodge <warren.dodge@akamail.com>

Date: Sat, 14 Sep 2002 19:33:01 UTC

Severity: important

Tags: sid

Merged with 160966, 161435, 162265, 163383

Found in versions 1.1.0, 1.0.1

Fixed in version msttcorefonts/1.1.1

Done: Eric Sharkey <sharkey@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eric Sharkey <sharkey@debian.org>, msttcorefonts@packages.qa.debian.org:
Bug#160902; Package msttcorefonts. Full text and rfc822 format available.

Acknowledgement sent to Warren Dodge <warren.dodge@akamail.com>:
New Bug report received and forwarded. Copy sent to Eric Sharkey <sharkey@debian.org>, msttcorefonts@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Warren Dodge <warren.dodge@akamail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: msttcorefonts: Font info files and fonts in different dirs breaks OpenOffice.org and Gnome
Date: Sat, 14 Sep 2002 12:20:23 -0700
Package: msttcorefonts
Version: 1.1.0
Severity: normal
Tags: sid

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux hyacinth 2.4.19 #2 Sat Aug 10 07:50:43 PDT 2002 i686
Locale: LANG=en_US, LC_CTYPE=en_US

Versions of packages msttcorefonts depends on:
ii  cabextract                 0.5-1         a program to extract Microsoft 
Cab
ii  debconf                    1.1.32        Debian configuration management 
sy
ii  defoma                     0.11.1        Debian Font Manager -- automatic 
f
ii  gawk [awk]                 1:3.1.1-1     GNU awk, a pattern scanning and 
pr
ii  mawk [awk]                 1.3.3-9       a pattern scanning and text 
proces
ii  wget                       1.8.2-5       retrieves files from the web
ii  xutils                     4.2.1-0pre1v1 X Window System utility programs

-- debconf information:
* msttcorefonts/savedir: /export/install/msttcorefonts
  msttcorefonts/baddldir: 
* msttcorefonts/blurb: 
* msttcorefonts/dldir: /var/install/msttcorefonts

msttcorefonts 1.0.1 and earlier installed symlinks from the
/usr/lib/X11/fonts/TrueType/ dir to point to each truetype font in
/usr/share/fonts/truetype

1.1.0 changed that behavior. The install script in the package
/usr/sbin/update-ms-fonts shows the previous behavior commented out and
new code to remove any previously-installed symlinks, along with the
note "This should be handled by defoma now"

Defoma does not create symlinks as the previous msttcorefonts package did.

The end result is that the font files are installed in
/usr/share/fonts/truetype, while the font information files are
installed in /usr/lib/X11/fonts/TrueType. This separation of the fonts
and their information files into separate directories causes problems
with the OpenOffice.org package (in incoming, I think) and Gnome
packages, such as Evolution. Neither are able to use any of the ms
truetype fonts.

Changing the /usr/sbin/update-ms-fonts script to the previous behavior
by uncommenting the creation of the symlinks and commenting the deletion
of the symlinks returns the system to a working state regarding these
fonts.

If you need any other information regarding this problem, please don't
hesitate to ask. Thanks for your help and your work on the font package!

Warren






Information forwarded to debian-bugs-dist@lists.debian.org, Eric Sharkey <sharkey@debian.org>, msttcorefonts@packages.qa.debian.org:
Bug#160902; Package msttcorefonts. Full text and rfc822 format available.

Acknowledgement sent to Warren Dodge <warren.dodge@akamail.com>:
Extra info received and forwarded to list. Copy sent to Eric Sharkey <sharkey@debian.org>, msttcorefonts@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 160902@bugs.debian.org (full text, mbox):

From: Warren Dodge <warren.dodge@akamail.com>
To: 160902@bugs.debian.org
Subject: Probable fix
Date: Sat, 21 Sep 2002 22:49:34 -0700
The problem seems to be with defoma and the X font paths:

http://lists.debian.org/debian-user/2002/debian-user-200209/msg02925.html

* install the package x-ttcidfont-conf if it's not installed
* replace FontPath "/usr/share/fonts/truetype" 
   with FontPath "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" 
   in Xf86Config-4
* remove FontPath "/usr/lib/X11/fonts/TrueType" from Xf86Config-4
* replace dir "/usr/share/fonts/truetype"
   with dir "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
   in XftConfig
* remove dir "/usr/lib/X11/fonts/TrueType" from XftConfig

I knew someone would know how defoma was supposed to work!

Warren




Severity set to `important'. Request was from Chris Halls <chris.halls@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 160902 160966 161435 162265 163383. Request was from Chris Halls <chris.halls@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Eric Sharkey <sharkey@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Warren Dodge <warren.dodge@akamail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 161435-close@bugs.debian.org (full text, mbox):

From: Eric Sharkey <sharkey@debian.org>
To: 161435-close@bugs.debian.org
Subject: Bug#161435: fixed in msttcorefonts 1.1.1
Date: Sat, 26 Oct 2002 16:05:35 -0400
We believe that the bug you reported is fixed in the latest version of
msttcorefonts, which is due to be installed in the Debian FTP archive:

msttcorefonts_1.1.1.dsc
  to pool/contrib/m/msttcorefonts/msttcorefonts_1.1.1.dsc
msttcorefonts_1.1.1.tar.gz
  to pool/contrib/m/msttcorefonts/msttcorefonts_1.1.1.tar.gz
msttcorefonts_1.1.1_all.deb
  to pool/contrib/m/msttcorefonts/msttcorefonts_1.1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 161435@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eric Sharkey <sharkey@debian.org> (supplier of updated msttcorefonts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 26 Oct 2002 14:48:49 -0400
Source: msttcorefonts
Binary: msttcorefonts
Architecture: source all
Version: 1.1.1
Distribution: unstable
Urgency: low
Maintainer: Eric Sharkey <sharkey@debian.org>
Changed-By: Eric Sharkey <sharkey@debian.org>
Description: 
 msttcorefonts - Installer for Microsoft TrueType core fonts
Closes: 161435 162557 163383
Changes: 
 msttcorefonts (1.1.1) unstable; urgency=low
 .
   * Remove scale file, Closes: #161435
   * explain defoma conf on systems that seem not to be
     configured, Closes: #162557
   * Clean up empty TrueType directory, if it exists, Closes: #163383
Files: 
 70b82f42237a4004eec96b86aeafe7b8 505 contrib/graphics optional msttcorefonts_1.1.1.dsc
 63a3e7f644a3b05cc9c78205dfcf33e0 11908 contrib/graphics optional msttcorefonts_1.1.1.tar.gz
 3a90ec0290368537e3f61e2dc97cd228 13086 contrib/graphics optional msttcorefonts_1.1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.0 (GNU/Linux)

iD8DBQE9uu6aclUlAyIk+rwRAq67AJwL/c3Cw8o3D5qa6hfk7qWpkQfmowCg3qGO
xuBTosDhUxy8X5X/8RSYA2Q=
=GD+l
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:04:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.